SDL_ConvertEventToRenderCoordinates(3)

NAME
SDL_ConvertEventToRenderCoordinates - Convert the coordinates in an event to render coordinates.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_ConvertEventToRenderCoordinates(SDL_Renderer *renderer, SDL_Event *event);

DESCRIPTION
Touch coordinates are converted from normalized coordinates in the window to non-normalized rendering coordinates. Once converted, the coordinates may be outside the rendering area.

FUNCTION PARAMETERS

renderer
    the rendering context

event
    the event to modify

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderCoordinatesFromWindowCoordinates(3)